Bug 537487

Summary: SELinux is preventing /usr/bin/xauth "write open" access on .serverauth.6599-c.
Product: [Fedora] Fedora Reporter: Pau Aliagas <linuxnow>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:1b3e57ee5dcd7ff3146887566f6778d3a28a97d5dc4550be18324179dd48ae1f
Fixed In Version: 3.6.32-46.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-24 07:48:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Pau Aliagas 2009-11-13 19:57:37 UTC
Resum:

SELinux is preventing /usr/bin/xauth "write open" access on .serverauth.6599-c.

Descripció detallada:

SELinux denied access requested by xauth. It is not expected that this access is
required by xauth and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Permet l'accés:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Informació addicional:

Context de la font            unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023
Context de l'objectiu         system_u:object_r:admin_home_t:s0
Objectes objectius            .serverauth.6599-c [ file ]
Font                          xauth
Camí de la font              /usr/bin/xauth
Port                          <Desconegut>
Ordinador                     (removed)
Paquests RPM font             xorg-x11-xauth-1.0.2-7.fc12
Paquets RPM destí            
RPM de política              selinux-policy-3.6.32-40.fc12
S'ha habilitat el Selinux     True
Tipus de la política         targeted
S'ha habilitat l'MLS          True
Mode forçat                  Enforcing
Nom del connector             catchall
Nom de la màquina            (removed)
Plataforma                    Linux (removed) 2.6.31.5-115.fc12.x86_64 #1 SMP
                              Tue Nov 3 23:56:19 EST 2009 x86_64 x86_64
Contador d'alertes            1
Vist per primera vegada       dj 05 nov 2009 01:51:34 CET
Vist per darrera vegada       dj 05 nov 2009 01:51:34 CET
Identificador local           5b8cedb5-98ad-4a00-9c95-7fc82eddd840
Número de línies            

Missatges d'auditoria sense p 

node=(removed) type=AVC msg=audit(1257382294.409:81): avc:  denied  { write open } for  pid=6606 comm="xauth" name=".serverauth.6599-c" dev=dm-7 ino=681388 scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1257382294.409:81): arch=c000003e syscall=2 success=no exit=-13 a0=7fff8a4174a0 a1=c1 a2=180 a3=7fff8a416d90 items=0 ppid=6599 pid=6606 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=tty2 ses=2 comm="xauth" exe="/usr/bin/xauth" subj=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-40.fc12,catchall,xauth,xauth_t,admin_home_t,file,write,open
audit2allow suggests:

#============= xauth_t ==============
allow xauth_t admin_home_t:file { write open };

Comment 1 Daniel Walsh 2009-11-13 20:35:35 UTC
Fixed in selinux-policy-3.6.32-45.fc12.noarch

Comment 2 Fedora Update System 2009-11-16 19:38:07 UTC
selinux-policy-3.6.32-46.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-46.fc12

Comment 3 Fedora Update System 2009-11-18 14:12:01 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11672

Comment 4 Fedora Update System 2009-11-24 07:46:57 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.